### Hierarchy

- PausedEventDataType

## Index

### Properties

- asyncCallStackTraceId
- asyncStackTrace
- asyncStackTraceId
- callFrames
- data
- hitBreakpoints
- reason

## Properties

### Optional asyncCallStackTraceId

asyncCallStackTraceId: StackTraceId

- Defined in node_modules/@types/node/inspector.d.ts:609

Just scheduled async call will have this stack trace as parent stack during async execution. This field is available only after `Debugger.stepInto` call with `breakOnAsynCall` flag.

experimental

### Optional asyncStackTrace

asyncStackTrace: StackTrace

- Defined in node_modules/@types/node/inspector.d.ts:598

Async stack trace, if any.

### Optional asyncStackTraceId

asyncStackTraceId: StackTraceId

- Defined in node_modules/@types/node/inspector.d.ts:603

Async stack trace, if any.

experimental

### callFrames

callFrames: CallFrame[]

- Defined in node_modules/@types/node/inspector.d.ts:582

Call stack the virtual machine stopped on.

### Optional data

data: undefined | __type

- Defined in node_modules/@types/node/inspector.d.ts:590

Object containing break-specific auxiliary properties.

### Optional hitBreakpoints

hitBreakpoints: string[]

- Defined in node_modules/@types/node/inspector.d.ts:594

Hit breakpoints IDs

### reason

reason: string

- Defined in node_modules/@types/node/inspector.d.ts:586

Pause reason.

Generated using TypeDoc